## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 23;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit ae5e02298c8de6a5aa98fe4d29a21874cfcc3619
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20240722

Name: awesome-vim-colorschemes
Version: 0
Release: 15.%{date}git%{shortcommit}.%autorelease
Summary: Collection of color schemes for Neo/vim, merged for quick use
BuildArch: noarch

# You can find the individual license in the actual vim file, or find the
# appropriate README in docs/
# * https://github.com/rafi/awesome-vim-colorschemes/issues/12
# Automatically converted from old format: Vim and MIT and CC-BY - review is highly recommended.
License: Vim AND LicenseRef-Callaway-MIT AND LicenseRef-Callaway-CC-BY

URL: https://github.com/rafi/awesome-vim-colorschemes
Source0: %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz
Source1: %{name}.metainfo.xml

# Remove executable bit & Fix wrong file end of line encoding
# * https://github.com/rafi/awesome-vim-colorschemes/pull/13
Patch0: https://github.com/rafi/awesome-vim-colorschemes/pull/13#/remove-executable-bit-&-fix-wrong-file-end-of-line-encoding.patch

BuildRequires: libappstream-glib
BuildRequires: vim-filesystem

Requires: vim-enhanced
Requires: vim-jellybeans

%description
Collection of awesome color schemes for Neo/vim, merged for quick use.


%prep
%autosetup -n %{name}-%{commit} -p1
# There is a separate vim-jellybeans package
# We do not want an implicit conflict to show up later
rm -rf colors/jellybeans.vim


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -a {autoload,colors} %{buildroot}%{vimfiles_root}
install -Dpm0644 %{SOURCE1} %{buildroot}%{_metainfodir}/%{name}.metainfo.xml


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml


%files
%doc README.md docs/
%{vimfiles_root}/autoload/*
%{vimfiles_root}/colors/*
%{_metainfodir}/*.xml


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Aug 28 2024 Miroslav Suchý <msuchy@redhat.com> - 0-22
- convert license to SPDX

* Tue Jul 23 2024 Martin Jackson <mhjacks@swbell.net> - 0-21
- Update to new snapshot. * New date/release * Require vim-jellybeans to
  prevent potential future conflict

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 07 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0-17
- fix: Previous commit

* Thu Sep 07 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0-16
- chore: Update to latest git snapshot

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 12 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0-12
- build(update): Latest git snapshot

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-15.20210516git39f8083
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-14.20210516git39f8083
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0-13.20210516git39f8083
- build(update): commit 39f8083

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-12.20200911git41a0d9e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Oct 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-11.20200911git41a0d9e
- build(update): commit 41a0d9e

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-10.20191209gitb5037cb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-9.20191209gitb5037cb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-8.20191209gitb5037cb
- Remove executable bit & Fix wrong file end of line encoding

* Fri Jan 17 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-7.20191209gitb5037cb
- Preserve timestamps during copy

* Mon Dec 09 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-6.20191209gitb5037cb
- Update to latest git snapshot
- Add missed license in spec file

* Sun Sep 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-6.20190921git21f5c63
- Initial package

## END: Generated by rpmautospec
